/**
 * 回頭車搬家頁面樣式
 *
 * @package mytheme
 */

/* return */
.return-des-wrap {
  width: 100%;
  max-width: 1000px;
  margin-top: 36px;
  position: relative;
  display: flex;
  align-items: flex-start;
  justify-content: center;
  flex-wrap: wrap;
  align-content: flex-start;
  gap: 24px;
  text-align: center;
  font-family: Inter;
}
.return-des-box {
  display: flex;
  align-items: center;
  gap: 12px;
}
.return-des-icon {
  height: 31.2px;
  width: 31.2px;
  position: relative;
}
.return-des-text {
  position: relative;
  line-height: 121.13%;
}

/* pricing */
.pricing-section {
  padding: 68px 0 186px;
  position: relative;
}
.pricing-section .container {
  position: relative;
}

.pricing-container {
  width: 100%;
  position: relative;
  box-shadow: 0px 4px 22px rgba(0, 0, 0, 0.25);
  backdrop-filter: blur(7.7px);
  border-radius: 59px;
  background-color: rgba(255, 255, 255, 0.6);
  overflow: visible;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 68px 0;
  box-sizing: border-box;
  text-align: center;
  z-index: 1;
  font-family: Inter;
}
.pricing-dec {
  position: absolute;
  width: 716px;
  height: 910px;
  bottom: -40px;
  right: 0;
  z-index: 0;
}

.pricing-container-header {
  align-self: stretch;
  position: relative;
  line-height: 40px;
  font-weight: 500;
  color: #ff942b;
  font-size: 1.25rem;
  margin: 36px auto 30px;
}
.pricing-wrap {
  align-self: stretch;
  display: flex;
  align-items: flex-start;
  justify-content: center;
  flex-wrap: wrap;
  align-content: flex-start;
  gap: 48px 84px;
  color: #000;
  margin-bottom: 48px;
}
.pricing-box {
  width: 346px;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 18px;
}
.pricing-head {
  width: 269px;
  height: 48px;
  border-radius: 12px;
  background-color: #fff;
  border: 1px solid #53bf6f;
  box-sizing: border-box;
  display: flex;
  align-items: center;
  justify-content: center;
}
.pricing-title {
  position: relative;
  line-height: 40px;
  flex-shrink: 0;
}
.pricing-text-box {
  align-self: stretch;
  height: 200px;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 46px 36px 35px;
  box-sizing: border-box;
  position: relative;
  isolation: isolate;
  gap: 10px;
  background-image: url(../../images/pricing-green-text-bg.svg);
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
}
.pricing-text-bg-icon {
  height: 200px;
  width: 346px;
  position: absolute;
  margin: 0 !important;
  top: 0px;
  left: 0px;
  z-index: 0;
  flex-shrink: 0;
}
.pricing-text {
  color: #fff;
  max-width: 280px;
  position: relative;
  line-height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-shrink: 0;
  z-index: 1;
}

.return-truck-rwd-img {
  display: none;
}

@media (max-width: 480px) {
  .return-des-wrap {
    margin: 25px auto 29px;
    gap: 18px;
    max-width: 212px;
    justify-content: flex-start;
  }

  .return-des-box {
    gap: 9px;
  }

  .return-des-icon {
    width: 18px;
    height: 18px;
  }

  /* pricing */
  .pricing-section {
    padding: 0 0 52px;
  }

  .pricing-container {
    padding: 36px 31px 65px;
    border-radius: 12px;
    margin-bottom: 28px;
  }

  .pricing-container-header {
    margin: 24px auto 12px;
    font-size: 1rem;
  }

  .pricing-head {
    width: 136px;
    height: 28px;
    border-radius: 30px;
  }

  .pricing-title {
    font-weight: 500;
  }

  .pricing-container .page-btn-wrapper {
    display: none;
  }

  .pricing-wrap {
    margin-bottom: 0;
    gap: 24px;
  }

  .pricing-box {
    width: 100%;
    max-width: 244px;
    gap: 8px;
  }

  .pricing-text-box {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='244' height='93' viewBox='0 0 244 93' fill='none'%3E%3Cpath d='M128.928 12H244V93H0V12H115.072L122 0L128.928 12Z' fill='%2353BF6F'/%3E%3C/svg%3E");
    padding: 0 0 24px;
    align-items: flex-end;
    height: 93px;
    width: 244px;
  }

  .pricing-text {
    max-width: 184px;
  }
  .pricing-dec {
    display: none;
  }

  .return-truck-rwd-img {
    display: block;
    position: absolute;
    right: 0;
    bottom: 6px;
    z-index: 0;
    width: auto;
    height: 212px;
  }
}
